<!--*****************************************************************
*     UOC - TFC - Desarrollo de aplicaciones móviles HTML5          *
*																	*
* File: headStart.php                                               *
* Author: José María Polo Peromarta <chema@informaticapolo.com>     *
*																	*
* Date: 23 April 2014   											*
*                                           						*
* Inputs: 	general.css												*
*           jqyery-1.7.1.min.js										*
*                                                           		*
* Outputs:	Null													*
*																	*
* Nota: Iniciamos la etiqueta "head" con todas las llamadas			*
*		necesarias. No cerramos la etiqueta "head"					*
******************************************************************-->

<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Cercle de Salut - <?php echo $pageTitle ?></title>
        
<!--****************************
** Sección  de  CSS ************
******************************->

	<!-- Estilos generales de la web -->
	<link rel="stylesheet" type="text/css" media="all" href="css/general.css"/>
    
    <!-- Estilos para formato móvil, tablet y PC -->
    <link href="../lib/formatoMovil/boilerplate.css" rel="stylesheet" type="text/css">
	<link href="../css/movil.css" rel="stylesheet" type="text/css">
 
 	<!-- Estilos para LightBox - ColorBox -->
 	<link href="../lib/colorbox/colorbox.css" rel="stylesheet" type="text/css">
    
    <!-- Estilos para Accordion-->
    <link href="../lib/accordion-ui-1.10.4/jquery-ui-1.10.4.min.css" rel="stylesheet" type="text/css">
    
    
<!--****************************
** Sección  de  JavaScript *****
*****************************-->
		
    <!-- Libreria Jquery -->
    <script type="text/javascript" src="lib/jquery-1.10.2/jquery-1.10.2.min.js"></script>
    
    <!-- Libreria para formato móvil, tablet y PC -->
    <!--[if lt IE 9]>
	<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<script src="lib/formatoMovil/respond.min.js"></script>
    
    <!-- Libreria para los mapas de GoogleMaps -->
    <script src="http://maps.google.com/maps/api/js?sensor=false" type="text/javascript"></script>
    
    <!-- Libreria para calcular distancias en GoogleMaps -->
    <script src="http://maps.google.com/maps/api/js?sensor=false&libraries=geometry" type="text/javascript"></script>
    
    <!-- Libreria para LightBox - ColorBox -->
    <script type="text/javascript" src="lib/colorbox/jquery.colorbox-min.js"></script>
    
    <!-- Libreria para Accordion -->
    <script type="text/javascript" src="lib/accordion-ui-1.10.4/jquery-ui-1.10.4.min.js"></script>