<!--*****************************************************************
*     CPQ - Tabla de pedidos en quirófano          					*
*																	*
* File: inicio.php                                              	*
* Author: José María Polo Peromarta <chema@informaticapolo.com>     *
* Basado en trabajo de : Arturo Martín Lladó 						*
*						<arturo.martin.llado@gmail.com>     		*
* Date: 23 April 2014   											*
*                                           						*
* Inputs: 	cabecera.php											*
*			headStart.php											*
*           headEnd.php												*
*           bodyStart.php											*
*           cabecera.php											*
*           cuerpoBody.php											*
*           bodyEnd.php												*
*           pie.php			   										*
*                                                           		*
* Outputs:	Null													*
*																	*
* Nota: Donde construimos toda la página con los skel y las vistas	*
*		Controlamos el acceso a al página con una constante			*
******************************************************************-->
<?php

	//Para mostrar errores 
	error_reporting(E_ALL); 
 	ini_set("display_errors", 1);
	
	//echo"ERROR: $error";

    if (defined("SECURITY_CONSTANT")) {

        $bodyId = "inicio";
		$pageTitle ="";
		
        require_once($skelDirectory . "/cabecera.php");
        
        require_once($skelDirectory . "/headStart.php");
		
        require_once($skelDirectory . "/headEnd.php");
        
        require_once($skelDirectory . "/bodyStart.php");
		
		require_once("cabecera.php");
		
		require_once("cuerpoBody.php");
		

?>
 		
<?php
        
        require_once($skelDirectory . "/bodyEnd.php");
        
        require_once($skelDirectory . "/pie.php");

    }
	
	else {
	
		echo "<p class='mensajeError01'>Error al cargar la página: Se ha intentado un acceso fuera de su ámbito normal.</p> \n";
		
	}

?>