<script>  
function success(position) {  
	
	var status = document.querySelector('#status');  
 	status.innerHTML = "&iexcl;Le encontramos!";  
  
 	var mapcanvas = document.createElement('div');  
 	mapcanvas.id = 'mapcanvas'; 	
	
	//calculamos el ancho de pantalla para sacar el frame del mapa
	var anchoVentanaMapa = $( window ).width();
		
		if (anchoVentanaMapa< 481){
    			mapcanvas.style.height = '250px';  
				mapcanvas.style.width = '100%';  
		
		}
		
		else{
				mapcanvas.style.height = '400px';  
				mapcanvas.style.width = '100%'; 
		}
  
 	document.querySelector('#map').appendChild(mapcanvas);  
  	
	//Buscamos la posicin del usuario
 	var latlng = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
 
 	//Opciones del mapa
 	var myOptions = {  
 	zoom: 12,  
 	center: latlng,  
 	mapTypeControl: false,  
 	navigationControlOptions: {style: google.maps.NavigationControlStyle.SMALL},  
 	mapTypeId: google.maps.MapTypeId.ROADMAP  
 	};  
	  
 	var map = new google.maps.Map(document.getElementById("mapcanvas"), myOptions);  
  
	var marker = new google.maps.Marker({  
 	position: latlng,  
 	map: map,  
 	title:"Donde se encuentra ahora."  
 	});
	
	//Guardamos otra vez la posicin inicial.
	var posicionInicial = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
	
	//Convertimos la variable de PHP a JavaScript con la funcin json_encode()
	var direcciones = <?php echo json_encode($direccionesJSPHP); ?>; 
	
	var cantidadValoresArray = direcciones.length; //alert("valores: "+cantidadValoresArray);
			
	var geocoder = new google.maps.Geocoder();	
	
	var distanciaGeo = new Array (cantidadValoresArray); // array para guardar las distancias geogrficas
	var servicioCenMed = new Array (cantidadValoresArray);
			
	var n = 0; //variable para cambiar el nmero de marca en el mapa: 1, 2, 3, etc. y Para el array de las distanciaGeo
	var m = 0; //Variable para incrementar las marcas interactivas
	var o = 0;
	
	for (var i = 0; i < cantidadValoresArray; i++) { 
			
 		geocoder.geocode({'address': direcciones[i]}, function(results, status) {
			
			if (status == google.maps.GeocoderStatus.OK){
		
	 			var direccionGEO = results[0].geometry.location;
				//alert("direccionGEO: "+direccionGEO);
				n++;
				
				var marker1 = new google.maps.Marker({
        			map: map,
        			position: direccionGEO,
					title:'Centro: '+centrosJS[m]+ '- Profesional: '+nombresJS[m] +'- Telf: '+telefonosJS[m]+' - Dir: '+direcciones[m],
					icon: "../../img/mapicon-iphone/number_".concat(n).concat(".png")
      	 		});
				var infowindow = new google.maps.InfoWindow({
					
 					 content: 'Centro: '+centrosJS[m]+ '<br>Profesional: '+nombresJS[m] +'<br>Tel&eacute;fono: '+telefonosJS[m]+'<br>Direcci&oacute;: '+direcciones[m]
					
  				});
				
				servicioCenMed[m]= centrosJS[m]+" - "+nombresJS[m];
				
				m++;
				
				google.maps.event.addListener(marker1, 'click', function() {
  					infowindow.open(map,marker1);
  				});
				
				distanciaGeo[n] = google.maps.geometry.spherical.computeDistanceBetween(direccionGEO, posicionInicial);

				
				document.getElementById(n).innerHTML = distanciaGeo[n].toFixed(2);
				document.getElementById("a"+m).innerHTML = servicioCenMed[o];
				o++;
				
	 		}
	 
	 		else{
		 
		 		alert ("El geocode ha fallado por la siguiente razn: " + status);
	 		}
			
 		});
		
	}//end_for	
	
	
 
}//end function success  
  
function error(msg) {  
 var status = document.getElementById('status');  
 status.innerHTML= "Error generando busqueda y mapa [" + error.code + "]: " + error.message;   
}
  
if (navigator.geolocation) {  
 navigator.geolocation.getCurrentPosition(success, error,{maximumAge:60000, timeout: 4000});  
 
} else {  
 error('Su navegador no tiene soporte para su geolocalizacin');  
}  
  
</script>  