<!--*****************************************************************
*      UOC - TFC - Desarrollo de aplicaciones móviles HTML5         *
*																	*
* File: mostrarResultados.php                                       *
* Author: José María Polo Peromarta <chema@informaticapolo.com>     *
*																	*
* Date:		5 May 2014  											*
*                                           						*
* Inputs: 	n_servicio, servicio, n_establecimiento					*
*			establecimiento, gestorBD								*
*                                                           		*
* Outputs:	direccionesJS											*
*																	*
* Nota: Muestra en el div los resultados de la selección y manda	*
		las direcciones al mapa para su gestión						*
******************************************************************-->
<!--librerias -->
<?php require("../gestorBD/gestorBD.php"); ?>

<?php 
//Para mostrar errores php
	error_reporting(E_ALL); 
 	ini_set("display_errors", 1);

?>

<?php
$servicio = "";
$establecimiento = "";
$n_servicio="";
$n_establecimiento="";

//Validamos que las variables de entrada estén definidas
if (isset($_POST['n_servicio'])){
	$n_servicio = $_POST['n_servicio'];
}

if (isset($_POST['servicio'])){
	$servicio = $_POST['servicio'];
}

if (isset($_POST['n_establecimiento'])){
	$n_establecimiento = $_POST['n_establecimiento'];
}

if (isset($_POST['establecimiento'])){
	$establecimiento = $_POST['establecimiento'];
}


// Escogemos según los datos que entran si hay que mostrar un Servicio o un Establecimiento.
	//mostramos los resultados y los guardamos en arrays que se usaran para pasar por JavaScript al mapa.	
$n=1; //inicializamos la variable para llevar un contador propio no sólo el del for
if ($servicio != ""){
	
	echo "<p><h2>$servicio</h2></p>";
	
	//caragamos datos desde el Gestor de Base de Datos
	$medico_especialidad = CargaMedicosEspZon($n_servicio,0);
	
	//añadimos efecto accordion
	echo "<div id='accordion'>";
	
	//mostramos resultados
	for ($i = 0; $i < count($medico_especialidad); $i++) {
		
		echo "<h3>".$n. ") ".$medico_especialidad[$i]['nomcentro']." - ".$medico_especialidad[$i]['nombre']."</h3><div><p> <img src='../img/sistema/direccion_50x50.png' width='20' height='20' alt='direccion' /> : ".$medico_especialidad[$i]['dir1']."<br><img src='../img/sistema/telefono_50x50.png' width='20' height='20' alt='telefono' /> : ".$medico_especialidad[$i]['tel1']. "</p></div>";
		
		//guardamos en array
		$direcciones[$i] = $medico_especialidad[$i]['dir1'].", Mallorca, Islas Baleares, Spain";
		$centros[$i] = $medico_especialidad[$i]['nomcentro'];
		$nombres[$i] = $medico_especialidad[$i]['nombre'];
		$telefonos[$i] = $medico_especialidad[$i]['tel1'];
		$n++;
		
	}//end for
	
	//fin efecto acordeon
	echo "</div>";

}elseif ($establecimiento != ""){
	echo "<p><h2>$establecimiento</h2></p>";
	
	//caragamos datos desde el Gestor de Base de Datos
	$grupo_establecimientos = CargaComercios($n_establecimiento,0);
	
	//añadimos efecto accordion
	echo "<div id='accordion'>";
	
	//mostramos resultados
	for ($i = 0; $i < count($grupo_establecimientos); $i++) {
		echo "<h3>".$n. ") ".$grupo_establecimientos[$i]['nombre']."</h3><div><p> <img src='../img/sistema/direccion_50x50.png' width='20' height='20' alt='direccion' /> : ".$grupo_establecimientos[$i]['dir1']."<br> <img src='../img/sistema/telefono_50x50.png' width='20' height='20' alt='telefono' /> : ".$grupo_establecimientos[$i]['tel1']. "</p></div>";
		
		//guardamos en array
		$direcciones[$i] = $grupo_establecimientos[$i]['dir1'].", Mallorca, Islas Baleares, Spain";
		$centros[$i] = $grupo_establecimientos[$i]['nombre'];
		$nombres[$i] = "";
		$telefonos[$i] = $grupo_establecimientos[$i]['tel1'];
		$n++;
	}//end for
	
	//fin efecto acordeon
	echo "</div>";
	
}else{
	
	echo "<div class='fondoMensajeError01'><p class='mensajeError01'>ERROR - Entrada de servicio o establecimiento nula<p></div>";

}//end if

//Convertimos con json_encode las variables PHP a variables JavaScript para pasar al mapa
?><script> var direccionesJS=<?php echo json_encode($direcciones);?>; </script><?php
?><script> var centrosJS=<?php echo json_encode($centros);?>;</script><?php
?><script> var nombresJS=<?php echo json_encode($nombres);?>;</script><?php
?><script> var telefonosJS=<?php echo json_encode($telefonos);?>;</script><?php

?>

<!--Botón que muestra u oculta el mapa-->
<p>
	<span>Mostrar Mapa y distancias</span>
    	<span class="botonD"><img src="../../img/sistema/bselec_A_124x54.png" width="124" height="54" alt="Info" /> </span>
    	<span class="botonC"><img src="../../img/sistema/bselec_C_124x54.png" width="124" height="54" alt="Info" /> </span>
	<span>Ocultar Mapa</span>
</p>

<!--Div donde se mostrará el mapa -->
<div id="mapa">
</div>

<!-- Bloque JavaScript -->
<script>
	//para el efecto accordion
	$(function() {
    	$( "#accordion" ).accordion();
 	});
	
	//eventos generales
	$(document).ready(function(){
		
		//ocultamos el mapa y el botón de ocultar mapa
		$('#mapa').hide();
		$('.botonD').hide();
		
		//si pulsamos el botón cargamos el mapa y mostramos el botón de ocultar mapa
		$('.botonC').click(function() {
            $(this).hide();
			$('.botonD').show();
			$('#mapa').fadeIn(1500);
				
				//cargamos en el div mapa el script: mapa.php y le pasamos las direcciones
				$('#mapa').load("vistas/mapa.php",{ direccionesJS:direccionesJS },function(responseTxt,statusTxt,xhr){
			   
					if(statusTxt=="error")
			   			alert("Error: "+xhr.status+": "+xhr.statusText);
			   
  				});
        });
		
		//si pulsamos el botón escondemos el mapa y mostramos el botón de mostrar mapa
		$('.botonD').click(function() {
            $(this).hide();
			$('.botonC').show();
			$('#mapa').fadeOut(500);
        });
		
	});
</script>