<!--*****************************************************************
*     CPQ - Tabla de pedidos en quirófano          					*
*																	*
* File: funcionesPHP.php                                            *
* Author: José María Polo Peromarta <chema@informaticapolo.com>     *
*																	*
* Date: 23 April 2014   											*
*                                           						*
* Inputs: 	Null				   									*
*                                                           		*
* Outputs:	limpiarString											*
*			fecha_a_normal											*
*			fecha_a_mysql											*
*																	*
* Nota: Conjunto de funciones útil									*
******************************************************************-->

<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

<?php

/********************************************
 ** Limpia un string de valores CHAR e INT **
*********************************************/
function limpiarString($texto)
{
	echo "TEXTO: $texto <br />\n";
      $textoLimpio = preg_replace('([^A-Za-z0-9])', '', $texto);	     					
      return $textoLimpio;
}

/********************************************
 ** Convierte fecha de mysql a normal *******
*********************************************/
function fecha_a_normal($fecha)
{
    ereg( "([0-9]{2,4})-([0-9]{1,2})-([0-9]{1,2})", $fecha, $mifecha);
    $lafecha=$mifecha[3]."/".$mifecha[2]."/".$mifecha[1];
    return $lafecha;
}

/********************************************
 ** Convierte fecha de normal a mysql *******
*********************************************/
function fecha_a_mysql($fecha)
{
    ereg( "([0-9]{1,2})/([0-9]{1,2})/([0-9]{2,4})", $fecha, $mifecha);
    $lafecha=$mifecha[3]."-".$mifecha[2]."-".$mifecha[1];
    return $lafecha;
} 

?>